#ifndef VIRTUALMODELINTERFACE_H
#define VIRTUALMODELINTERFACE_H

// link to VirtualTreeModel
class VirtualModelInterface {
public:
  virtual ~VirtualModelInterface() = default;

public:
  virtual void beginUpdate() = 0;
  virtual void endUpdate() = 0;
  virtual void queuedUpdate() = 0;
};

#endif // VIRTUALMODELINTERFACE_H
